adobe premiere on powermac g4

adobe premiere 5.1 (german) does not work on a fresh bought powermac g4 with dvd. in the shop i was told that adobe premiere needs quicktime 3.0.2 and originally on g4 dvd there is installed qt 4.x. when i install quicktime 3.x the dvd does not work anymore. what shall i do?
bruder34Asked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

weedCommented:
Reinstall quicktime 4 and get the adobe premier 4.5.1 or 5.1c update from. It fixes compatibility with G4.

http://www.adobe.com/products/premiere/updat51c.html

OR

http://www.adobe.com/support/downloads/prmac.htm
0
bruder34Author Commented:
yes, i heared about the update, but i do have a swiss-german os and a german premiere,  (yesterday i was on adobes page) the update is only in englisch, this is mentioned explicit. what do you think, can i mix the components of quicktime? (the dvd extensions of qt4 and the rest from qt3). i would have tried, but now i am with my parents. and, i bought premiere with the g4, so i do not have 4.5.1. thank you
0
trottieaCommented:
There is something about that on Adobe's German website at
http://www.adobe.de/products/premiere/updat51.html

But I don't read German so I don't know if that's the German update.

I think it is a bad idea to mix QuickTime components. You may install QuickTime 4, then disable it using the Extensions Manager, and then install QuickTime 3. Using the Extensions Manager, save a set of extensions that include QuickTime 3 only and a set of extensions that include QuickTime 4 only. You can play & digitize DVDs while QuickTime 4 is active, and edit movies in Premiere while QuickTime 3 is active. This may not be an ideal solution, but it should work until Adobe releases an update (if they haven't already done so).
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Introduction to R

R is considered the predominant language for data scientist and statisticians. Learn how to use R for your own data science projects.

trottieaCommented:
(Of course both extension sets should include all the extensions that aren't part of the QuickTime packages.)
0
bruder34Author Commented:
i never thought in disabeling one version while installing the other, i would have taken them to the desktop and so on,... but your method is much more elegant. happy new year and the best wishes from the swiss mountains
0
bruder34Author Commented:
ah, yes, the page: i was already on your above mentioned page (adobe.de), they proudly present premiere update 5.1, with enhanced quicktime 3.0 skills :-( the version for qt 4.0 would be 5.1c.
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Apple Software

From novice to tech pro — start learning today.